body {
    background-color: #090d00;
    color: rgba(255, 255, 255, 0.673);
    font-family: 'Lucida Sans', 'Lucida Sans Regular', 'Lucida Grande', 'Lucida Sans Unicode', Geneva, Verdana, sans-serif;

}

header {
    text-align: center;
}


/* ***************** */
/* 1- Selecciona todos los párrafos */
 p {
    letter-spacing: .1em;
    /* padding: 1.5em 0em; */
    width: 90%;
    margin-left: 80px;
    text-align: justify;
}


/* ***************** */
/* 2 - Selecciona todos los títulos de nivel 2 y todos los títulos de nivel 3 que están dentro de la sección main */
 main h2,h3 {
    margin-left: 30px;
}



footer div {
    width: 100%
}



footer {
    width: 100%;
    position: absolute;
    top: auto;
}


/* ***************** */
/* 3- Selecciona todos los párrafos que sean hijos directos de la sección footer  */
 footer>p {
    letter-spacing: .35em;
    text-transform: none;
    border: none;
    font-size: 2.7ex;
    position: relative;
    top: -110px;
    color: white;
    font-weight: 700;
    font-variant: small-caps;
}

footer img {
    opacity: 0.5;
}



header h1 {
    font: 700 4em/1 "Oswald", sans-serif;
    letter-spacing: 0;
    padding: .25em 0 .325em;
    display: block;
    margin: 0 auto;
    text-shadow: 0 0 80px rgba(255, 255, 255, .5);

    /* Clip Background Image */
    background: url(https://i.ibb.co/RDTnNrT/animated-text-fill.png) repeat-y;
    -webkit-background-clip: text;
    background-clip: text;

    /* Animate Background Image */
    -webkit-text-fill-color: transparent;
    -webkit-animation: aitf 80s linear infinite;

    /* Activate hardware acceleration for smoother animations */
    -webkit-transform: translate3d(0, 0, 0);
    -webkit-backface-visibility: hidden;

}

header h2 {

    font: 300 1.5em;
    letter-spacing: 0;
    padding: .25em 0 .325em;
    display: block;
    margin: 0 auto;
    text-shadow: 0 0 80px rgba(255, 255, 255, .5);

}

header h3 {

    font: 100 1.2em;
    letter-spacing: 0;
    padding: .5em 0 .325em;
    display: block;
    margin: 0 auto;
    text-shadow: 0 0 80px rgba(255, 255, 255, .5);

}


@-webkit-keyframes aitf {
    0% {
        background-position: 0% 50%;
    }

    100% {
        background-position: 100% 50%;
    }
}

nav {
    width: 100%;
}

nav ul {
    list-style: none;
    display: block;

    margin-left: 5%;
    margin-right: 5%;
    height: 30px;
    text-align: center;
}


/* ***************** */
/* 4 todos los "list item" de las listas no ordenadas que hay dentro del menu de navegación */
 ul li {
    display: inline;
    float: left;
    width: 20%;
    padding-top: 8px;
    font-weight: 600;

}

nav ul li a {
    text-decoration: none;
    color: rgba(255, 255, 255, .5);
    text-transform: uppercase;
}
/* ***************** */
/* 5- Reglas css que se aplicarán al pasar por encima de las los "list item" de las listas no ordenadas del menú de navegación */ {
    
 nav ul li {
    color: #090d00;
    background-color: rgba(255, 255, 255, 0.673);
    height: 30px;
}

nav ul li:hover a {
    color: #090d00;
}

main li {
    margin: 0 0 0 30;
    padding: 0;
}


/* ***************** */
/* 6- todas las listas no ordenadas que estan dentro de un un elemento li (lista anidada) dentro del main
y todas las listas ordenadas que esten dentro del main
y todos los títulos de segundo y tercer nivel que esten dentro del main
y todas las tablas que esten dentro del main
y todos los videos
*/
{
    margin-left: 80px;

}

table {
    border-collapse: collapse;
    height: 350px;
    text-align: center;
    border: 5px solid rgba(255, 255, 255, 0.673);
}

td, th {
    border: 5px solid rgba(255, 255, 255, 0.673);
}

main img {
    position: fixed;
    bottom: 0;
    right: 0;
    z-index: 300;
}

pre {
    font-size: 1.4em;
}

table table {
    margin: 0;
    height: auto;
}

/* Estilos del formulario */
form  { display: table;
    width:70%;
        margin-left:50px;    
}

label { display: table-cell; }
input, textarea, select{ display: table-cell; 
    padding: 10px;
    border: 1px solid #ccc;
    border-radius: 4px;
    resize: vertical;
    margin:10px;
}

/* ***************** */
/* 7 - Todos los inputs que sean de los siguientes tipos: text, email, file, date, range
y todos los elementos select
y todos los elementos tetarea */
  {
    width: 95%;   
  }
  
  label {
    padding: 12px 12px 12px 0;
    display: inline-block;
  }
  
  input[type=submit] {
    background-color: #4c72af;
    color: white;
    padding: 12px 20px;
    border: none;
    border-radius: 4px;
    cursor: pointer;
    float: right;
  }
  
  /* ***************** */
  /* 8- Al pasar por encima del boton del formulario (sin utilizar clases ni ids) */
 {
    background-color: #324c75;
  }

  iframe{
    margin: 50px;
  }